#!/bin/sh
#set -e

. $KUMATUXBIN/kumatux.org-vars

KUMATUX_PERL5LIB_ESCAPED=`$KUMATUXBIN/kumatux.org-sed-escape $KUMATUX_PERL5LIB`
if [ "$KUMATUX_PERL5LIB_ESCAPED" ]
then
    SYSTEM_PERL5LIB=`echo $PERL5LIB | sed "s/$KUMATUX_PERL5LIB_ESCAPED://" | sed "s/$KUMATUX_PERL5LIB_ESCAPED//"`
else
    SYSTEM_PERL5LIB=$PERL5LIB
fi

export KUMATUX_PERL5LIB=`cat $KUMATUXETC/$KUMATUXETCPERL/*.conf 2>/dev/null`/usr/lib/perl5:/usr/lib/perl5/site_perl
if [ "$SYSTEM_PERL5LIB" ]
then
    export PERL5LIB=$KUMATUX_PERL5LIB:$SYSTEM_PERL5LIB
else
    export PERL5LIB=$KUMATUX_PERL5LIB
fi
